2017-11-24 09:08 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002753OpenFOAMPatchpublic2017-11-09 17:04
Reportertniemi 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002753: TDAC, support for multiphase use
DescriptionI tried to use TDAC in multiphase simulation, but I then realized that it is currently hard coded for single phase. The code refers to "thermophysicalProperties" in a couple of places and it uses Y()[i].name() -function in several places assuming it returns the species name without the phase name.

I have attached a patch which corrects these problems. I have not tested it very thoroughly, but it seems to work ok in my test cases. In the patch I have replaced the name() calls with member() and changed the explicit "thermophysicalProperties" to add group name if necessary. I also modified the logging to go to phase specific subfolders.
TagsNo tags attached.
Attached Files
  • diff file icon TDAC.diff (12,243 bytes) 2017-11-08 16:47 -
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
    old mode 100644
    new mode 100644
    index e1a3888..2eeb6fb
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
    @@ -75,7 +75,7 @@ Foam::TDACChemistryModel<CompType, ThermoType>::TDACChemistryModel
     
         forAll(specieComp_, i)
         {
    -        specieComp_[i] = specComp[this->Y()[i].name()];
    +        specieComp_[i] = specComp[this->Y()[i].member()];
         }
     
         mechRed_ = chemistryReductionMethod<CompType, ThermoType>::New
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H
    old mode 100644
    new mode 100644
    index 011e47a..1815e31
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H
    @@ -45,12 +45,12 @@ template<class CompType, class ThermoType>
     inline Foam::autoPtr<Foam::OFstream>
     Foam::TDACChemistryModel<CompType, ThermoType>::logFile(const word& name) const
     {
    -    mkDir(this->mesh().time().path()/"TDAC");
    +    mkDir(this->mesh().time().path()/"TDAC"/this->group());
         return autoPtr<OFstream>
         (
             new OFstream
             (
    -            this->mesh().time().path()/"TDAC"/name
    +            this->mesh().time().path()/"TDAC"/this->group()/name
             )
         );
     }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C
    old mode 100644
    new mode 100644
    index f092944..2eca336
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C
    @@ -91,7 +91,7 @@ Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::DAC
         dictionary initSet = this->coeffsDict_.subDict("initialSet");
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++] = i;
             }
    @@ -160,23 +160,23 @@ Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::DAC
                     Info<< "element not considered"<<endl;
                 }
             }
    -        if (this->chemistry_.Y()[i].name() == CO2Name_)
    +        if (this->chemistry_.Y()[i].member() == CO2Name_)
             {
                 CO2Id_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == COName_)
    +        else if (this->chemistry_.Y()[i].member() == COName_)
             {
                 COId_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == HO2Name_)
    +        else if (this->chemistry_.Y()[i].member() == HO2Name_)
             {
                 HO2Id_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == H2OName_)
    +        else if (this->chemistry_.Y()[i].member() == H2OName_)
             {
                 H2OId_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == NOName_)
    +        else if (this->chemistry_.Y()[i].member() == NOName_)
             {
                 NOId_ = i;
             }
    @@ -230,7 +230,7 @@ Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::DAC
                 fuelSpeciesProp_[i] = readScalar(fuelDict.lookup(fuelSpecies_[i]));
                 for (label j=0; j<this->nSpecie_; j++)
                 {
    -                if (this->chemistry_.Y()[j].name() == fuelSpecies_[i])
    +                if (this->chemistry_.Y()[j].member() == fuelSpecies_[i])
                     {
                         fuelSpeciesID_[i] = j;
                         break;
    @@ -496,8 +496,8 @@ void Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::reduceMechanism
                 // Complete combustion products are not considered
                 if
                 (
    -                this->chemistry_.Y()[i].name() == "CO2"
    -             || this->chemistry_.Y()[i].name() == "H2O"
    +                this->chemistry_.Y()[i].member() == "CO2"
    +             || this->chemistry_.Y()[i].member() == "H2O"
                 )
                 {
                     continue;
    @@ -505,7 +505,7 @@ void Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::reduceMechanism
                 Na[0] += sC_[i]*c[i];
                 Na[1] += sH_[i]*c[i];
                 Na[2] += sO_[i]*c[i];
    -            if (sC_[i]>nbCLarge_ || this->chemistry_.Y()[i].name() == "O2")
    +            if (sC_[i]>nbCLarge_ || this->chemistry_.Y()[i].member() == "O2")
                 {
                     Nal[0] += sC_[i]*c[i];
                     Nal[1] += sH_[i]*c[i];
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C
    old mode 100644
    new mode 100644
    index 6e335aa..de8c02f
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C
    @@ -41,7 +41,7 @@ Foam::chemistryReductionMethods::DRG<CompType, ThermoType>::DRG
         dictionary initSet = this->coeffsDict_.subDict("initialSet");
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++] = i;
             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C
    old mode 100644
    new mode 100644
    index b6efcc3..453c012
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C
    @@ -47,7 +47,7 @@ Foam::chemistryReductionMethods::DRGEP<CompType, ThermoType>::DRGEP
         dictionary initSet = this->coeffsDict_.subDict("initialSet");
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++]=i;
             }
    @@ -651,8 +651,8 @@ reduceMechanism
                             {
                                 Info<< "Badly Conditioned rAB : " << rAB
                                 << "species involved : "
    -                            <<this->chemistry_.Y()[u].name() << ","
    -                            << this->chemistry_.Y()[otherSpec].name()
    +                            <<this->chemistry_.Y()[u].member() << ","
    +                            << this->chemistry_.Y()[otherSpec].member()
                                 << endl;
                                 rAB=1.0;
                             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C
    old mode 100644
    new mode 100644
    index 1bd9dd6..77f0390
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C
    @@ -43,7 +43,7 @@ Foam::chemistryReductionMethods::PFA<CompType, ThermoType>::PFA
     
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++] = i;
             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C
    old mode 100644
    new mode 100644
    index 37c7044..c1335e0
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C
    @@ -40,7 +40,7 @@ Foam::chemistryReductionMethod<CompType, ThermoType>::New
         (
             IOobject
             (
    -            "thermophysicalProperties",
    +            IOobject::groupName("thermophysicalProperties",dict.group()),
                 dict.db().time().constant(),
                 dict.db(),
                 IOobject::MUST_READ_IF_MODIFIED,
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
    old mode 100644
    new mode 100644
    index 555365b..f4eaa70
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
    @@ -84,7 +84,7 @@ Foam::chemistryTabulationMethods::ISAT<CompType, ThermoType>::ISAT
             scalar otherScaleFactor = readScalar(scaleDict.lookup("otherSpecies"));
             for (label i=0; i<Ysize; i++)
             {
    -            if (!scaleDict.found(this->chemistry_.Y()[i].name()))
    +            if (!scaleDict.found(this->chemistry_.Y()[i].member()))
                 {
                     scaleFactor_[i] = otherScaleFactor;
                 }
    @@ -93,7 +93,7 @@ Foam::chemistryTabulationMethods::ISAT<CompType, ThermoType>::ISAT
                     scaleFactor_[i] =
                         readScalar
                         (
    -                        scaleDict.lookup(this->chemistry_.Y()[i].name())
    +                        scaleDict.lookup(this->chemistry_.Y()[i].member())
                         );
                 }
             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
    old mode 100644
    new mode 100644
    index 33bf768..1499b07
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
    @@ -512,7 +512,7 @@ bool Foam::chemPointISAT<CompType, ThermoType>::inEOA(const scalarField& phiq)
                 }
                 else
                 {
    -                propName = chemistry_.Y()[maxIndex].name();
    +                propName = chemistry_.Y()[maxIndex].member();
                 }
                 Info<< "Direction maximum impact to error in ellipsoid: "
                     << propName << endl;
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C
    old mode 100644
    new mode 100644
    index 269613d..3c65c02
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C
    @@ -40,7 +40,7 @@ Foam::chemistryTabulationMethod<CompType, ThermoType>::New
         (
              IOobject
              (
    -              "thermophysicalProperties",
    +              IOobject::groupName("thermophysicalProperties",dict.group()),
                   dict.db().time().constant(),
                   dict.db(),
                   IOobject::MUST_READ_IF_MODIFIED,
    
    diff file icon TDAC.diff (12,243 bytes) 2017-11-08 16:47 +
  • diff file icon TDAC_2.diff (12,311 bytes) 2017-11-08 19:26 -
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
    index e1a3888..1c0d5ea 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
    @@ -54,7 +54,7 @@ Foam::TDACChemistryModel<CompType, ThermoType>::TDACChemistryModel
         (
             IOobject
             (
    -            "TabulationResults",
    +            IOobject::groupName("TabulationResults", phaseName),
                 this->time().timeName(),
                 this->mesh(),
                 IOobject::NO_READ,
    @@ -75,7 +75,7 @@ Foam::TDACChemistryModel<CompType, ThermoType>::TDACChemistryModel
     
         forAll(specieComp_, i)
         {
    -        specieComp_[i] = specComp[this->Y()[i].name()];
    +        specieComp_[i] = specComp[this->Y()[i].member()];
         }
     
         mechRed_ = chemistryReductionMethod<CompType, ThermoType>::New
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H
    index 011e47a..1815e31 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModelI.H
    @@ -45,12 +45,12 @@ template<class CompType, class ThermoType>
     inline Foam::autoPtr<Foam::OFstream>
     Foam::TDACChemistryModel<CompType, ThermoType>::logFile(const word& name) const
     {
    -    mkDir(this->mesh().time().path()/"TDAC");
    +    mkDir(this->mesh().time().path()/"TDAC"/this->group());
         return autoPtr<OFstream>
         (
             new OFstream
             (
    -            this->mesh().time().path()/"TDAC"/name
    +            this->mesh().time().path()/"TDAC"/this->group()/name
             )
         );
     }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C
    index f092944..2eca336 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DAC/DAC.C
    @@ -91,7 +91,7 @@ Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::DAC
         dictionary initSet = this->coeffsDict_.subDict("initialSet");
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++] = i;
             }
    @@ -160,23 +160,23 @@ Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::DAC
                     Info<< "element not considered"<<endl;
                 }
             }
    -        if (this->chemistry_.Y()[i].name() == CO2Name_)
    +        if (this->chemistry_.Y()[i].member() == CO2Name_)
             {
                 CO2Id_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == COName_)
    +        else if (this->chemistry_.Y()[i].member() == COName_)
             {
                 COId_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == HO2Name_)
    +        else if (this->chemistry_.Y()[i].member() == HO2Name_)
             {
                 HO2Id_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == H2OName_)
    +        else if (this->chemistry_.Y()[i].member() == H2OName_)
             {
                 H2OId_ = i;
             }
    -        else if (this->chemistry_.Y()[i].name() == NOName_)
    +        else if (this->chemistry_.Y()[i].member() == NOName_)
             {
                 NOId_ = i;
             }
    @@ -230,7 +230,7 @@ Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::DAC
                 fuelSpeciesProp_[i] = readScalar(fuelDict.lookup(fuelSpecies_[i]));
                 for (label j=0; j<this->nSpecie_; j++)
                 {
    -                if (this->chemistry_.Y()[j].name() == fuelSpecies_[i])
    +                if (this->chemistry_.Y()[j].member() == fuelSpecies_[i])
                     {
                         fuelSpeciesID_[i] = j;
                         break;
    @@ -496,8 +496,8 @@ void Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::reduceMechanism
                 // Complete combustion products are not considered
                 if
                 (
    -                this->chemistry_.Y()[i].name() == "CO2"
    -             || this->chemistry_.Y()[i].name() == "H2O"
    +                this->chemistry_.Y()[i].member() == "CO2"
    +             || this->chemistry_.Y()[i].member() == "H2O"
                 )
                 {
                     continue;
    @@ -505,7 +505,7 @@ void Foam::chemistryReductionMethods::DAC<CompType, ThermoType>::reduceMechanism
                 Na[0] += sC_[i]*c[i];
                 Na[1] += sH_[i]*c[i];
                 Na[2] += sO_[i]*c[i];
    -            if (sC_[i]>nbCLarge_ || this->chemistry_.Y()[i].name() == "O2")
    +            if (sC_[i]>nbCLarge_ || this->chemistry_.Y()[i].member() == "O2")
                 {
                     Nal[0] += sC_[i]*c[i];
                     Nal[1] += sH_[i]*c[i];
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C
    index 6e335aa..de8c02f 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRG/DRG.C
    @@ -41,7 +41,7 @@ Foam::chemistryReductionMethods::DRG<CompType, ThermoType>::DRG
         dictionary initSet = this->coeffsDict_.subDict("initialSet");
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++] = i;
             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C
    index b6efcc3..453c012 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.C
    @@ -47,7 +47,7 @@ Foam::chemistryReductionMethods::DRGEP<CompType, ThermoType>::DRGEP
         dictionary initSet = this->coeffsDict_.subDict("initialSet");
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++]=i;
             }
    @@ -651,8 +651,8 @@ reduceMechanism
                             {
                                 Info<< "Badly Conditioned rAB : " << rAB
                                 << "species involved : "
    -                            <<this->chemistry_.Y()[u].name() << ","
    -                            << this->chemistry_.Y()[otherSpec].name()
    +                            <<this->chemistry_.Y()[u].member() << ","
    +                            << this->chemistry_.Y()[otherSpec].member()
                                 << endl;
                                 rAB=1.0;
                             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C
    index 1bd9dd6..77f0390 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/PFA/PFA.C
    @@ -43,7 +43,7 @@ Foam::chemistryReductionMethods::PFA<CompType, ThermoType>::PFA
     
         for (label i=0; i<chemistry.nSpecie(); i++)
         {
    -        if (initSet.found(chemistry.Y()[i].name()))
    +        if (initSet.found(chemistry.Y()[i].member()))
             {
                 searchInitSet_[j++] = i;
             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C
    index 37c7044..c1335e0 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/chemistryReductionMethod/chemistryReductionMethodNew.C
    @@ -40,7 +40,7 @@ Foam::chemistryReductionMethod<CompType, ThermoType>::New
         (
             IOobject
             (
    -            "thermophysicalProperties",
    +            IOobject::groupName("thermophysicalProperties",dict.group()),
                 dict.db().time().constant(),
                 dict.db(),
                 IOobject::MUST_READ_IF_MODIFIED,
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
    index 555365b..f4eaa70 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
    @@ -84,7 +84,7 @@ Foam::chemistryTabulationMethods::ISAT<CompType, ThermoType>::ISAT
             scalar otherScaleFactor = readScalar(scaleDict.lookup("otherSpecies"));
             for (label i=0; i<Ysize; i++)
             {
    -            if (!scaleDict.found(this->chemistry_.Y()[i].name()))
    +            if (!scaleDict.found(this->chemistry_.Y()[i].member()))
                 {
                     scaleFactor_[i] = otherScaleFactor;
                 }
    @@ -93,7 +93,7 @@ Foam::chemistryTabulationMethods::ISAT<CompType, ThermoType>::ISAT
                     scaleFactor_[i] =
                         readScalar
                         (
    -                        scaleDict.lookup(this->chemistry_.Y()[i].name())
    +                        scaleDict.lookup(this->chemistry_.Y()[i].member())
                         );
                 }
             }
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
    index 33bf768..1499b07 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
    @@ -512,7 +512,7 @@ bool Foam::chemPointISAT<CompType, ThermoType>::inEOA(const scalarField& phiq)
                 }
                 else
                 {
    -                propName = chemistry_.Y()[maxIndex].name();
    +                propName = chemistry_.Y()[maxIndex].member();
                 }
                 Info<< "Direction maximum impact to error in ellipsoid: "
                     << propName << endl;
    diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C
    index 269613d..3c65c02 100644
    --- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C
    +++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/chemistryTabulationMethod/chemistryTabulationMethodNew.C
    @@ -40,7 +40,7 @@ Foam::chemistryTabulationMethod<CompType, ThermoType>::New
         (
              IOobject
              (
    -              "thermophysicalProperties",
    +              IOobject::groupName("thermophysicalProperties",dict.group()),
                   dict.db().time().constant(),
                   dict.db(),
                   IOobject::MUST_READ_IF_MODIFIED,
    
    diff file icon TDAC_2.diff (12,311 bytes) 2017-11-08 19:26 +

-Relationships
+Relationships

-Notes

~0009015

tniemi (reporter)

I noticed that I had missed making TabulationResult phase specific. I uploaded second diff, which includes also this change.

~0009017

henry (manager)

Thanks for the patch Timo.

Resolved by commit 62f64f0dedb25d93e2e5e6027ed2cb9f4f86e862
+Notes

-Issue History
Date Modified Username Field Change
2017-11-08 16:47 tniemi New Issue
2017-11-08 16:47 tniemi File Added: TDAC.diff
2017-11-08 19:26 tniemi File Added: TDAC_2.diff
2017-11-08 19:26 tniemi Note Added: 0009015
2017-11-09 17:04 henry Assigned To => henry
2017-11-09 17:04 henry Status new => resolved
2017-11-09 17:04 henry Resolution open => fixed
2017-11-09 17:04 henry Fixed in Version => dev
2017-11-09 17:04 henry Note Added: 0009017
+Issue History